/**
 * An superclass from which all ComponentConfigurator exeptions derive.
 * @author  Fabio Kon
 * @version 0.1
 * @see   ElementExists
 * @see   NotFound
 * @see   HookBusy
 * @see   HookVacant
*/
class ComponentConfiguratorException extends Exception 
{
    public ComponentConfiguratorException() { super();}
    public ComponentConfiguratorException(String s) { super(s);}
}

/**
 * An exception representing that a given element already exists.
 * @author  Fabio Kon
 * @version 0.1
*/
class ElementExists extends ComponentConfiguratorException 
{
    public ElementExists() { super();}
    public ElementExists(String s) { super(s);}
}

/**
 * An exception representing that a needed element was not found.
 * @author  Fabio Kon
 * @version 0.1
*/
class NotFound extends ComponentConfiguratorException 
{
    public NotFound() { super();}
    public NotFound(String s) { super(s);}
}

/**
 * An exception representing that a Hook already has something attached to it.
 * @author  Fabio Kon
 * @version 0.1
*/
class HookBusy extends ComponentConfiguratorException 
{
    public HookBusy() { super();}
    public HookBusy(String s) { super(s);}
}

/**
 * An exception representing that nothing is attached to a given Hook.
 * @author  Fabio Kon
 * @version 0.1
*/
class HookVacant extends ComponentConfiguratorException 
{
    public HookVacant() { super();}
    public HookVacant(String s) { super(s);}
}


    
        
